model Regulateur_triphase
  Modelica.Electrical.Analog.Sources.SineVoltage Phase1(V = 12, f = 1)  annotation(
    Placement(visible = true, transformation(origin = {-98, -34}, extent = {{-10, -10}, {10, 10}}, rotation = 180)));
  Modelica.Electrical.Analog.Sources.SineVoltage Phase2(V = 12, f = 1, phase = 2.094395102393195) annotation(
    Placement(visible = true, transformation(origin = {-98, -54}, extent = {{-10, -10}, {10, 10}}, rotation = 180)));
  Modelica.Electrical.Analog.Sources.SineVoltage Phase3(V = 12, f = 1, phase = 4.188790204786391) annotation(
    Placement(visible = true, transformation(origin = {-98, -74}, extent = {{-10, -10}, {10, 10}}, rotation = 180)));
  Modelica.Electrical.Analog.Ideal.IdealDiode D2 annotation(
    Placement(visible = true, transformation(origin = {-32, -12}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  Modelica.Electrical.Analog.Ideal.IdealDiode D3 annotation(
    Placement(visible = true, transformation(origin = {-4, -12}, extent = {{10, 10}, {-10, -10}}, rotation = -90)));
  Modelica.Electrical.Analog.Ideal.IdealDiode D1b annotation(
    Placement(visible = true, transformation(origin = {-62, -100}, extent = {{10, 10}, {-10, -10}}, rotation = -90)));
  Modelica.Electrical.Analog.Ideal.IdealDiode D1 annotation(
    Placement(visible = true, transformation(origin = {-62, -12}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  Modelica.Electrical.Analog.Basic.Resistor R1(R = 100) annotation(
    Placement(visible = true, transformation(origin = {30, -62}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Electrical.Analog.Ideal.IdealDiode D2b annotation(
    Placement(visible = true, transformation(origin = {-32, -100}, extent = {{10, 10}, {-10, -10}}, rotation = -90)));
  Modelica.Electrical.Analog.Ideal.IdealDiode D3b annotation(
    Placement(visible = true, transformation(origin = {-4, -100}, extent = {{10, 10}, {-10, -10}}, rotation = -90)));
  Modelica.Electrical.Analog.Basic.Ground ground annotation(
    Placement(visible = true, transformation(origin = {30, -136}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(Phase1.n, ground.p) annotation(
    Line(points = {{-108, -34}, {-122, -34}, {-122, -126}, {30, -126}}, color = {0, 0, 255}));
  connect(Phase2.n, ground.p) annotation(
    Line(points = {{-108, -54}, {-122, -54}, {-122, -126}, {30, -126}}, color = {0, 0, 255}));
  connect(Phase3.n, ground.p) annotation(
    Line(points = {{-108, -74}, {-122, -74}, {-122, -126}, {30, -126}}, color = {0, 0, 255}));
  connect(D1b.n, D1.p) annotation(
    Line(points = {{-62, -90}, {-62, -22}}, color = {0, 0, 255}));
  connect(D2b.n, D2.p) annotation(
    Line(points = {{-32, -90}, {-32, -22}}, color = {0, 0, 255}));
  connect(D3b.n, D3.p) annotation(
    Line(points = {{-4, -90}, {-4, -22}}, color = {0, 0, 255}));
  connect(D3b.p, ground.p) annotation(
    Line(points = {{-4, -110}, {-4, -126}, {30, -126}}, color = {0, 0, 255}));
  connect(D2b.p, ground.p) annotation(
    Line(points = {{-32, -110}, {-32, -126}, {30, -126}}, color = {0, 0, 255}));
  connect(D1b.p, ground.p) annotation(
    Line(points = {{-62, -110}, {-62, -126}, {30, -126}}, color = {0, 0, 255}));
  connect(D3.n, R1.p) annotation(
    Line(points = {{-4, -2}, {-4, 6}, {30, 6}, {30, -52}}, color = {0, 0, 255}));
  connect(D2.n, R1.p) annotation(
    Line(points = {{-32, -2}, {-32, 6}, {30, 6}, {30, -52}}, color = {0, 0, 255}));
  connect(D1.n, R1.p) annotation(
    Line(points = {{-62, -2}, {-62, 6}, {30, 6}, {30, -52}}, color = {0, 0, 255}));
  connect(Phase1.p, D1.p) annotation(
    Line(points = {{-88, -34}, {-62, -34}, {-62, -22}}, color = {0, 0, 255}));
  connect(Phase2.p, D2.p) annotation(
    Line(points = {{-88, -54}, {-32, -54}, {-32, -22}}, color = {0, 0, 255}));
  connect(Phase3.p, D3.p) annotation(
    Line(points = {{-88, -74}, {-4, -74}, {-4, -22}}, color = {0, 0, 255}));
  connect(R1.n, ground.p) annotation(
    Line(points = {{30, -72}, {30, -126}}, color = {0, 0, 255}));
protected
  annotation(
    uses(ElectricalEnergyStorage(version = "3.2.2"), Modelica(version = "4.0.0"), PhotoVoltaics(version = "2.X.X")),
    Diagram(coordinateSystem(extent = {{-120, 20}, {40, -160}})),
    version = "");
end Regulateur_triphase;
