model Accumulateur18650
  Modelica.Electrical.Analog.Basic.Ground Masse annotation(
    Placement(visible = true, transformation(origin = {-4, -24}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Resistor Charge(R = 6.2)  annotation(
    Placement(visible = true, transformation(origin = {34, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  Modelica.Electrical.Batteries.BatteryStacks.CellStack Accu18650(Np = 1, Ns = 1, SOC(fixed = true, start = 1), cellData = Data18650) annotation(
    Placement(visible = true, transformation(origin = {-34, 8}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  parameter Modelica.Electrical.Batteries.ParameterRecords.CellData Data18650 annotation(
    Placement(visible = true, transformation(origin = {-68, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(Masse.p, Charge.p) annotation(
    Line(points = {{-4, -14}, {34, -14}, {34, 0}}, color = {0, 0, 255}));
  connect(Masse.p, Accu18650.n) annotation(
    Line(points = {{-4, -14}, {-34, -14}, {-34, -2}}, color = {0, 0, 255}));
  connect(Accu18650.p, Charge.n) annotation(
    Line(points = {{-34, 18}, {-34, 32}, {34, 32}, {34, 20}}, color = {0, 0, 255}));
  annotation(
    uses(Modelica(version = "4.0.0"), ElectricalEnergyStorage(version = "3.2.2")));
end Accumulateur18650;
