model Chargeur_18650
  parameter Modelica.Electrical.Batteries.ParameterRecords.CellData Data18650(OCVmax = 4.2, OCVmin = 2.5, Qnom (displayUnit = "A.h") = 11520, Ri = 0.15, SOCmax = 1, SOCmin = 0, T_ref = 293.15, useLinearSOCDependency = false)  annotation(
    Placement(visible = true, transformation(origin = {-48, -2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Ground Masse annotation(
    Placement(visible = true, transformation(origin = {16, -36}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Electrical.Batteries.BatteryStacks.CellStack Accu18650(Np = 1, Ns = 1, SOC(fixed = true, start = 0.1), cellData = Data18650, useHeatPort = false) annotation(
    Placement(visible = true, transformation(origin = {-14, -4}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Electrical.Batteries.Utilities.CCCVcharger Chargeur(I = 1, Vend = 0)  annotation(
    Placement(visible = true, transformation(origin = {54, -4}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Electrical.Analog.Sensors.PowerSensor Capteur_de_Puissance annotation(
    Placement(visible = true, transformation(origin = {16, 18}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Continuous.Integrator Energie annotation(
    Placement(visible = true, transformation(origin = {58, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(Masse.p, Accu18650.n) annotation(
    Line(points = {{16, -26}, {-14, -26}, {-14, -14}}, color = {0, 0, 255}));
  connect(Masse.p, Chargeur.n) annotation(
    Line(points = {{16, -26}, {54, -26}, {54, -14}}, color = {0, 0, 255}));
  connect(Masse.p, Capteur_de_Puissance.nv) annotation(
    Line(points = {{16, -26}, {16, 8}}, color = {0, 0, 255}));
  connect(Capteur_de_Puissance.pc, Chargeur.p) annotation(
    Line(points = {{26, 18}, {54, 18}, {54, 6}}, color = {0, 0, 255}));
  connect(Capteur_de_Puissance.nc, Accu18650.p) annotation(
    Line(points = {{6, 18}, {-14, 18}, {-14, 6}}, color = {0, 0, 255}));
  connect(Capteur_de_Puissance.power, Energie.u) annotation(
    Line(points = {{26, 7}, {38, 7}, {38, 37}, {46, 37}}, color = {0, 0, 127}));
  connect(Capteur_de_Puissance.pv, Capteur_de_Puissance.pc) annotation(
    Line(points = {{16, 28}, {26, 28}, {26, 18}}, color = {0, 0, 255}));
  annotation(
    uses(Modelica(version = "4.0.0"), ElectricalEnergyStorage(version = "3.2.2")));
end Chargeur_18650;
