model Recharge_BatterieSolaire
  Modelica.Electrical.Analog.Basic.Ground groundDC annotation(
    Placement(visible = true, transformation(origin = {-40, -32}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  PhotoVoltaics.Components.SimplePhotoVoltaics.SimpleModuleSymmetric module(T = 298.15, moduleData = moduleData, useConstantIrradiance = false) annotation(
    Placement(visible = true, transformation(origin = {-40, 0}, extent = {{-10, 10}, {10, -10}}, rotation = -90)));
  parameter PhotoVoltaics.Records.SHARP_NU_S5_E3E moduleData annotation(
    Placement(visible = true, transformation(extent = {{-90, 22}, {-70, 42}}, rotation = 0)));
  PhotoVoltaics.Sources.Irradiance.Irradiance irradiance(Jprime(fixed = false), dayOfYear(fixed = false), daysOfYear(fixed = false), irradianceRef = 1500, startDayOfYear(fixed = false), year(fixed = false)) annotation(
    Placement(visible = true, transformation(extent = {{-90, -10}, {-70, 10}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Ground ground annotation(
    Placement(visible = true, transformation(extent = {{70, -42}, {90, -22}}, rotation = 0)));
  Modelica.Electrical.Batteries.BatteryStacks.CellStack Battery(cellData = Battery_Data)  annotation(
    Placement(visible = true, transformation(origin = {80, 2}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  PhotoVoltaics.Components.Converters.ConvertersWithSampleMPTracker.DCConverter converter(ImpRef = moduleData.ImpRef, VmpRef = moduleData.VmpRef)  annotation(
    Placement(visible = true, transformation(origin = {18, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  parameter Modelica.Electrical.Batteries.ParameterRecords.CellData Battery_Data annotation(
    Placement(visible = true, transformation(origin = {110, 4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(irradiance.irradiance, module.variableIrradiance) annotation(
    Line(points = {{-69, 0}, {-52, 0}}, color = {0, 0, 127}));
  connect(groundDC.p, module.n) annotation(
    Line(points = {{-40, -22}, {-40, -10}}, color = {0, 0, 255}));
  connect(Battery.n, ground.p) annotation(
    Line(points = {{80, -8}, {80, -22}}, color = {0, 0, 255}));
  connect(converter.dc_p1, module.p) annotation(
    Line(points = {{8, 8}, {0, 8}, {0, 26}, {-40, 26}, {-40, 10}}, color = {0, 0, 255}));
  connect(groundDC.p, converter.dc_n1) annotation(
    Line(points = {{-40, -22}, {0, -22}, {0, -4}, {8, -4}}, color = {0, 0, 255}));
  connect(converter.dc_p2, Battery.p) annotation(
    Line(points = {{28, 8}, {38, 8}, {38, 26}, {80, 26}, {80, 12}}, color = {0, 0, 255}));
  connect(converter.dc_n2, ground.p) annotation(
    Line(points = {{28, -4}, {38, -4}, {38, -22}, {80, -22}}, color = {0, 0, 255}));
  annotation(
    uses(Modelica(version = "4.0.0"), PhotoVoltaics(version = "2.X.X")),
    Diagram(coordinateSystem(extent = {{-100, 40}, {120, -40}})),
    version = "");
end Recharge_BatterieSolaire;
