model Gravity_Light_Eleve
  Modelica.Blocks.Sources.RealExpression realExpression1(y = -Masse_Sac.m * 9.81)  annotation(
    Placement(visible = true, transformation(origin = {-86, -36}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  Modelica.Mechanics.Rotational.Components.IdealRollingWheel Poulie(radius = Rayon) annotation(
    Placement(visible = true, transformation(origin = {-54, 46}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sources.Force Poids annotation(
    Placement(visible = true, transformation(origin = {-86, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  Modelica.Mechanics.Translational.Components.Mass Masse_Sac(m = masse) annotation(
    Placement(visible = true, transformation(origin = {-86, 24}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Mechanics.Rotational.Sensors.SpeedSensor W_Moteur annotation(
    Placement(visible = true, transformation(origin = {28, 82}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sensors.SpeedSensor W_Reducteur annotation(
    Placement(visible = true, transformation(origin = {-14, 82}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.LossyGear Reducteur(lossTable = [0, 1, 1, 0, 0], ratio = -Transmission) annotation(
    Placement(visible = true, transformation(origin = {-10, 46}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Electrical.Machines.BasicMachines.DCMachines.DC_PermanentMagnet MCC(IaNominal = Courant_permanent, Jr(start = Inertie_Rotor), La = Inductance_du_bobinage, Ra = Resistance_du_bobinage, VaNominal = Tension_de_definition, phiMechanical(displayUnit = "rad"), wMechanical(displayUnit = "rad/s"), wNominal(displayUnit = "rad/s") = Vitesse_de_definition) annotation(
    Placement(visible = true, transformation(origin = {34, 46}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Ground ground1 annotation(
    Placement(visible = true, transformation(origin = {74, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(Masse_Sac.flange_b, Poids.flange) annotation(
    Line(points = {{-86, 14}, {-86, 6}}, color = {0, 127, 0}));
  connect(realExpression1.y, Poids.f) annotation(
    Line(points = {{-86, -25}, {-86, -16}}, color = {0, 0, 127}));
  connect(W_Moteur.flange, MCC.flange) annotation(
    Line(points = {{18, 82}, {10, 82}, {10, 46}, {24, 46}}));
  connect(W_Reducteur.flange, Reducteur.flange_b) annotation(
    Line(points = {{-24, 82}, {-32, 82}, {-32, 46}, {-20, 46}}));
  connect(ground1.p, MCC.pin_an) annotation(
    Line(points = {{74, 44}, {56, 44}, {56, 56}, {40, 56}}, color = {0, 0, 255}));
  connect(Reducteur.flange_a, MCC.flange) annotation(
    Line(points = {{0, 46}, {24, 46}}));
  connect(Poulie.flangeR, Reducteur.flange_b) annotation(
    Line(points = {{-44, 46}, {-20, 46}}));
  connect(Masse_Sac.flange_a, Poulie.flangeT) annotation(
    Line(points = {{-86, 34}, {-86, 46}, {-64, 46}}, color = {0, 127, 0}));
  annotation(
    uses(Modelica(version = "4.0.0")),
    Diagram(coordinateSystem(extent = {{-240, 100}, {120, -80}})),
    version = "");
end Gravity_Light_Eleve;
