model Bicimaquias_eleve
  Modelica.Mechanics.Translational.Sources.Force Force_jambes annotation(
    Placement(visible = true, transformation(origin = {-60, 6}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Mechanics.Translational.Sensors.PowerSensor Puissance_Cycliste annotation(
    Placement(visible = true, transformation(origin = {-40, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Translational.Components.IdealRollingWheel Pedalier(radius = Lm)  annotation(
    Placement(visible = true, transformation(origin = {-8, -20}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.BearingFriction Frottements_Secs(tau_pos = [0, Cr])  annotation(
    Placement(visible = true, transformation(origin = {26, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.LossyGear Chaine(lossTable = [0, 0.95, 0.95, 0, 0], ratio = Kpp)  annotation(
    Placement(visible = true, transformation(origin = {60, -20}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sensors.SpeedSensor W_Entree annotation(
    Placement(visible = true, transformation(origin = {54, 20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Inertia Inertie_Roue(J = Ir)  annotation(
    Placement(visible = true, transformation(origin = {92, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.LossyGear Transmission(lossTable = [0, 0.8, 0.8, 0, 0], ratio = Kt) annotation(
    Placement(visible = true, transformation(origin = {122, -20}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Inertia Inertie_Galet(J = Ig)  annotation(
    Placement(visible = true, transformation(origin = {156, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.LossyGear Poulie_Courroie(lossTable = [0, 0.95, 0.95, 0, 0], ratio = Kpc) annotation(
    Placement(visible = true, transformation(origin = {190, -20}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sensors.SpeedSensor W_Moteur annotation(
    Placement(visible = true, transformation(origin = {230, 16}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Damper Frottements_Visqueux(d = 0.00012, phi_rel(displayUnit = "rad"))  annotation(
    Placement(visible = true, transformation(origin = {220, -52}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Mechanics.Rotational.Components.Fixed fixed annotation(
    Placement(visible = true, transformation(origin = {220, -78}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Electrical.Machines.BasicMachines.DCMachines.DC_PermanentMagnet MCC(IaNominal = Rated_Current, Jr(start = 0.0001), La = 0.0010, Ra = 0.15, VaNominal = Rated_Voltage, phiMechanical(displayUnit = "rad"), wMechanical(displayUnit = "rad/s"), wNominal(displayUnit = "rad/s") = Rated_Speed) annotation(
    Placement(visible = true, transformation(origin = {262, -20}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Ground ground annotation(
    Placement(visible = true, transformation(origin = {300, -60}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Resistor Charge(R = 100) annotation(
    Placement(visible = true, transformation(origin = {338, -18}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Electrical.Analog.Sensors.PowerSensor Puissance_electrique annotation(
    Placement(visible = true, transformation(origin = {300, 8}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.Sine Jambes(amplitude = 200, f = 1.5)  annotation(
    Placement(visible = true, transformation(origin = {-112, 40}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Abs abs annotation(
    Placement(visible = true, transformation(origin = {-78, 40}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(Force_jambes.flange, Puissance_Cycliste.flange_a) annotation(
    Line(points = {{-60, -4}, {-60, -20}, {-50, -20}}, color = {0, 127, 0}));
  connect(Puissance_Cycliste.flange_b, Pedalier.flangeT) annotation(
    Line(points = {{-30, -20}, {-18, -20}}, color = {0, 127, 0}));
  connect(Pedalier.flangeR, Frottements_Secs.flange_a) annotation(
    Line(points = {{2, -20}, {16, -20}}));
  connect(Frottements_Secs.flange_b, Chaine.flange_b) annotation(
    Line(points = {{36, -20}, {50, -20}}));
  connect(W_Entree.flange, Chaine.flange_b) annotation(
    Line(points = {{44, 20}, {44, -20}, {50, -20}}));
  connect(Chaine.flange_a, Inertie_Roue.flange_a) annotation(
    Line(points = {{70, -20}, {82, -20}}));
  connect(Inertie_Roue.flange_b, Transmission.flange_b) annotation(
    Line(points = {{102, -20}, {112, -20}}));
  connect(Transmission.flange_a, Inertie_Galet.flange_a) annotation(
    Line(points = {{132, -20}, {146, -20}}));
  connect(Inertie_Galet.flange_b, Poulie_Courroie.flange_b) annotation(
    Line(points = {{166, -20}, {180, -20}}));
  connect(fixed.flange, Frottements_Visqueux.flange_b) annotation(
    Line(points = {{220, -78}, {220, -62}}));
  connect(Poulie_Courroie.flange_a, MCC.flange) annotation(
    Line(points = {{200, -20}, {252, -20}}));
  connect(Frottements_Visqueux.flange_a, MCC.flange) annotation(
    Line(points = {{220, -42}, {220, -20}, {252, -20}}));
  connect(W_Moteur.flange, MCC.flange) annotation(
    Line(points = {{220, 16}, {220, -20}, {252, -20}}));
  connect(MCC.pin_an, ground.p) annotation(
    Line(points = {{268, -10}, {280, -10}, {280, -50}, {300, -50}}, color = {0, 0, 255}));
  connect(Charge.n, ground.p) annotation(
    Line(points = {{338, -28}, {338, -50}, {300, -50}}, color = {0, 0, 255}));
  connect(MCC.pin_ap, Puissance_electrique.pc) annotation(
    Line(points = {{256, -10}, {256, 8}, {290, 8}}, color = {0, 0, 255}));
  connect(Puissance_electrique.nv, ground.p) annotation(
    Line(points = {{300, -2}, {300, -50}}, color = {0, 0, 255}));
  connect(Puissance_electrique.nc, Charge.p) annotation(
    Line(points = {{310, 8}, {338, 8}, {338, -8}}, color = {0, 0, 255}));
  connect(Puissance_electrique.pv, Puissance_electrique.pc) annotation(
    Line(points = {{300, 18}, {290, 18}, {290, 8}}, color = {0, 0, 255}));
  connect(Jambes.y, abs.u) annotation(
    Line(points = {{-100, 40}, {-90, 40}}, color = {0, 0, 127}));
  connect(abs.y, Force_jambes.f) annotation(
    Line(points = {{-66, 40}, {-60, 40}, {-60, 18}}, color = {0, 0, 127}));
protected
  annotation(
    uses(Modelica(version = "4.0.0")),
    Diagram(coordinateSystem(extent = {{-140, 60}, {360, -100}})),
    version = "");
end Bicimaquias_eleve;
