model Four_Solaire_Isolation
  Modelica.Thermal.HeatTransfer.Components.HeatCapacitor C_Air_Int annotation(
    Placement(visible = true, transformation(origin = {-62, 8}, extent = {{-10, 10}, {10, -10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Components.ThermalResistor R_Int_Bois annotation(
    Placement(visible = true, transformation(origin = {24, 60}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Components.ConvectiveResistor Rsi_Bois annotation(
    Placement(visible = true, transformation(origin = {-8, 60}, extent = {{-10, 10}, {10, -10}}, rotation = 180)));
  Modelica.Thermal.HeatTransfer.Celsius.TemperatureSensor Temperature_Four annotation(
    Placement(visible = true, transformation(origin = {-52, 54}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Sources.PrescribedHeatFlow Fllux_Chaleur annotation(
    Placement(visible = true, transformation(origin = {-102, 36}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant Puissance_SourceChaleur annotation(
    Placement(visible = true, transformation(origin = {-136, 36}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Components.HeatCapacitor C_Bois annotation(
    Placement(visible = true, transformation(origin = {46, 38}, extent = {{-10, 10}, {10, -10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Components.ConvectiveResistor Rse_Bois annotation(
    Placement(visible = true, transformation(origin = {102, 60}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Components.ThermalResistor R_Ext_Bois annotation(
    Placement(visible = true, transformation(origin = {70, 60}, extent = {{-10, 10}, {10, -10}}, rotation = 180)));
  Modelica.Thermal.HeatTransfer.Components.ConvectiveResistor Rsi_Verre annotation(
    Placement(visible = true, transformation(origin = {-6, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 180)));
  Modelica.Thermal.HeatTransfer.Components.ThermalResistor R_Ext_Verre annotation(
    Placement(visible = true, transformation(origin = {72, -4}, extent = {{-10, 10}, {10, -10}}, rotation = 180)));
  Modelica.Thermal.HeatTransfer.Components.HeatCapacitor C_Verre annotation(
    Placement(visible = true, transformation(origin = {48, -26}, extent = {{-10, 10}, {10, -10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Components.ConvectiveResistor Rse_Verre annotation(
    Placement(visible = true, transformation(origin = {104, -4}, extent = {{-10, 10}, {10, -10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Components.ThermalResistor R_Int_Verre annotation(
    Placement(visible = true, transformation(origin = {26, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Sources.FixedTemperature Temperature_Exterieu annotation(
    Placement(visible = true, transformation(origin = {164, 30}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant Rc_Bois annotation(
    Placement(visible = true, transformation(origin = {-42, 98}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant Rc_Verre annotation(
    Placement(visible = true, transformation(origin = {-42, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(Puissance_SourceChaleur.y, Fllux_Chaleur.Q_flow) annotation(
    Line(points = {{-125, 36}, {-112, 36}}, color = {0, 0, 127}));
  connect(Fllux_Chaleur.port, C_Air_Int.port) annotation(
    Line(points = {{-92, 36}, {-62, 36}, {-62, 18}}, color = {191, 0, 0}));
  connect(Rsi_Bois.solid, R_Int_Bois.port_a) annotation(
    Line(points = {{2, 60}, {14, 60}}, color = {191, 0, 0}));
  connect(R_Int_Bois.port_b, C_Bois.port) annotation(
    Line(points = {{34, 60}, {46, 60}, {46, 48}}, color = {191, 0, 0}));
  connect(C_Bois.port, R_Ext_Bois.port_b) annotation(
    Line(points = {{46, 48}, {46, 60}, {60, 60}}, color = {191, 0, 0}));
  connect(R_Ext_Bois.port_a, Rse_Bois.solid) annotation(
    Line(points = {{80, 60}, {92, 60}}, color = {191, 0, 0}));
  connect(Fllux_Chaleur.port, Temperature_Four.port) annotation(
    Line(points = {{-92, 36}, {-62, 36}, {-62, 54}}, color = {191, 0, 0}));
  connect(C_Verre.port, R_Ext_Verre.port_b) annotation(
    Line(points = {{48, -16}, {48, -4}, {62, -4}}, color = {191, 0, 0}));
  connect(R_Ext_Verre.port_a, Rse_Verre.solid) annotation(
    Line(points = {{82, -4}, {94, -4}}, color = {191, 0, 0}));
  connect(R_Int_Verre.port_b, C_Verre.port) annotation(
    Line(points = {{36, -4}, {48, -4}, {48, -16}}, color = {191, 0, 0}));
  connect(Rsi_Verre.solid, R_Int_Verre.port_a) annotation(
    Line(points = {{4, -4}, {16, -4}}, color = {191, 0, 0}));
  connect(Rse_Bois.fluid, Temperature_Exterieu.port) annotation(
    Line(points = {{112, 60}, {134, 60}, {134, 30}, {154, 30}}, color = {191, 0, 0}));
  connect(Rse_Verre.fluid, Temperature_Exterieu.port) annotation(
    Line(points = {{114, -4}, {134, -4}, {134, 30}, {154, 30}}, color = {191, 0, 0}));
  connect(Rsi_Bois.fluid, C_Air_Int.port) annotation(
    Line(points = {{-18, 60}, {-30, 60}, {-30, 36}, {-62, 36}, {-62, 18}}, color = {191, 0, 0}));
  connect(Rsi_Verre.fluid, C_Air_Int.port) annotation(
    Line(points = {{-16, -4}, {-30, -4}, {-30, 36}, {-62, 36}, {-62, 18}}, color = {191, 0, 0}));
  connect(Rc_Verre.y, Rsi_Verre.Rc) annotation(
    Line(points = {{-31, -44}, {-6, -44}, {-6, -14}}, color = {0, 0, 127}));
  connect(Rc_Verre.y, Rse_Verre.Rc) annotation(
    Line(points = {{-31, -44}, {104, -44}, {104, -14}}, color = {0, 0, 127}));
  connect(Rc_Bois.y, Rsi_Bois.Rc) annotation(
    Line(points = {{-30, 98}, {-8, 98}, {-8, 70}}, color = {0, 0, 127}));
  connect(Rc_Bois.y, Rse_Bois.Rc) annotation(
    Line(points = {{-30, 98}, {102, 98}, {102, 70}}, color = {0, 0, 127}));
  annotation(
    uses(Modelica(version = "4.0.0")),
    Diagram(coordinateSystem(extent = {{-180, 120}, {180, -60}}), graphics = {Rectangle(origin = {-123, 39}, lineColor = {239, 241, 135}, fillColor = {253, 255, 220}, fillPattern = FillPattern.Solid, extent = {{-41, 27}, {41, -27}}), Text(origin = {-124, 57}, lineColor = {203, 203, 0}, fillColor = {163, 163, 0}, extent = {{-36, -13}, {36, 13}}, textString = "Puissance de la source de chaleur", fontName = "Arial", textStyle = {TextStyle.Bold}, horizontalAlignment = TextAlignment.Left)}),
    version = "");
end Four_Solaire_Isolation;
